<?PHP
#
#   FILE:  EditSearchConfig.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2006-2013 Edward Almasy and Internet Scout Research Group
#   http://scout.wisc.edu/cwis/
#

PageTitle("Edit Search Configuration");
if (!CheckAuthorization(PRIV_SYSADMIN, PRIV_COLLECTIONADMIN)) {  return;  }

# ----- CONFIGURATION  -------------------------------------------------------

# ----- EXPORTED FUNCTIONS ---------------------------------------------------
# (functions intended for use in corresponding HTML file)

# ----- LOCAL FUNCTIONS ------------------------------------------------------
# (functions intended for use only within this file)

# ----- MAIN -----------------------------------------------------------------

# retrieve and format synonym list
$SearchEngine = new SPTSearchEngine();
$SynonymList = $SearchEngine->GetAllSynonyms();
$G_SynonymListText = "";
foreach ($SynonymList as $Word => $Synonyms)
{
    $G_SynonymListText .= $Word." = ".join(", ", $Synonyms)."\n";
}

?>
